Paquetage *.deb pour installer Firefox 1.5.0.2 dans Ubuntu Breezy

EDIT: Il est préférable d'installer Firefox depuis mon dépôt Ubuntu. Cela vous permettra d'avoir la dernière version et de profiter des mises à jour automatiques.

Le paquet de Firefox que je vous ai annoncé est enfin prêt!

Vous pouvez le télécharger à l'adresse :

  • firefox-asher_1.5.0.2-0ubuntu1_i386.deb (ce paquet n'est plus disponible, vous pouvez télécharger la nouvelle version depuis le dépôt Ubuntu)

Les avantages du paquet :

  • Installation et désinstallation très facile ;
  • Ajout d'une entrée dans le menu de GNOME, KDE, XFCE, etc ;
  • Contient la version française de Firefox ;
  • Peut cohabiter avec la précédente version 1.0.7 (qui est officiellement distribuée avec Ubuntu Breezy).

Installer le paquet:

Lancez un terminal et entrez la commande :

sudo dpkg -i firefox-asher_1.5.0.2-0ubuntu1_i386.deb

Commentaires

1. Le jeudi, avril 20 2006, 21:00 par Thesa

Je me posais une question : sous Ubuntu Hoary, les dépôts backports proposaient des mise à jours non-officielles, comme Firefox 1.5.x aurait pu l'être. J'ai bien des dépôts backports pour Breezy, mais aucune mise à jour. En saurais-tu plus ? Sinon pourquoi ne pas proposer ton paquet ?

(Perso, j'utilise Firefox 2 alpha, mais c'est une bonne idée de proposer une mise à jour en paquet, c'est tout de même plus pratique)

2. Le jeudi, avril 20 2006, 21:10 par Asher256

Salut Thesa,

Je vais peut-être proposer mon paquet aux backports de breezy.

En fait, pourquoi tu utilises la version Alpha 2 de Firefox ? Elle n'est pas instable? Elle apporte des fonctionnalités "inédites" par rapport à la version 1.5.x?

3. Le jeudi, avril 20 2006, 22:35 par Yassinux

T'as un deb pour un 686 ?

4. Le jeudi, avril 20 2006, 23:06 par Yassinux

Non c'est bon j'ai cru qu'il y avait un prob ...
je me sens un peu débile quand je me précipite dans un message et je reviens quelques minutes après pour me contredire moi-même...

5. Le vendredi, avril 21 2006, 17:17 par Thesa

>En fait, pourquoi tu utilises la version Alpha 2 de Firefox ? Elle n'est pas instable?

En théorie si, mais comme toutes les alphas, elle ne plante guère plus qu'une stable

> Elle apporte des fonctionnalités "inédites" par rapport à la version 1.5.x?

C'est la première version à intégrer Places, le nouveau gestionnaire de marques-pages/fils de syndication/historique, avec un système de tag au lieu du classement hiérarchique par dossier.
Je l'avais installé pour tester ça, mais places n'est pas encore tout à fait fonctionnel. Comme j'utilise un profil par version (j'ai la 1.0.quelque_chose_le_paquet_ubuntu, la 1.5.0.2 et la alpha 2), et qu'il n'y a que très peu d'extension compatibles avec la alpha 2 (à ma connaissance Adblock plus et Flashgot), mon alpha 2 est un peu plus rapide.

Bon, je sais, c'est une mauvaise escuse, faut pas utiliser des versions non stable normallement... Mais mes liens symboliques sont comme ça, et c'est à mes risques et périles ;-)

Sinon, le gain de performances / fonctionnalités au niveau de Gecko est insensible (contrairement à la version 1.5), donc il n'y a pas vraiment de raison d'utiliser la alpha 2 par rapport à la 1.5

6. Le dimanche, avril 23 2006, 19:35 par Asher2156

Merci pour toutes ces infos.

7. Le samedi, avril 29 2006, 14:45 par Farliec

Bonjour,

Pour faire une install propre, j'ai d'abord supprimé ma version de firefox (1.5.0.1) avant d'ajouter ton dépôt dans ma liste.
Et lors de l'installation (par Adept) lorsque je choisi firefox-asher, le paquet de la version précédente (1.0.8) est automatiquement sélectionné, et si je décoche l'ancienne version, la version asher est désélectionnée aussi.
Idem si je fais l'install par dpkg sans aucune version de FF préalablement installée :

Dépaquetage de firefox-asher (à partir de firefox-asher_1.5.0.2-0ubuntu1_i386.deb) ...
dpkg : des problèmes de dépendances empêchent la configuration de firefox-asher :
firefox-asher dépend de firefox (>= 1.0.7) ; cependant :
Paquet firefox n'est pas installé.
dpkg : erreur de traitement de firefox-asher (--install) :
problèmes de dépendances - laissé non configuré
Des erreurs ont été rencontrées pendant l'exécution :
firefox-asher

Tu indiquais "Peut cohabiter avec la précédente version", il serait peut-être plus exact de parler de dépendance cette cohabitation est en fait obligatoire.

De plus tu indiques "Ajout d'une entrée dans le menu de GNOME, KDE, XFCE, etc" alors que personnellement je n'ai pas de raccourci dans le menu K autre que celui de... la version 1.0.8 :
Le raccourci pointe vers "firefox" et si je clic dessus, ça me lance la version 1.0.8 (en anglais). Alors que pour lancer ta version il aurait fallu un raccourci pointant vers "firefox-asher" et là ça lance bien ta version (et en français siouplaît)

Je pensais que ta version serait une véritable installation de la version 1.5.0.2 et pas un "rajout" :( Il faudrait être plus explicite, mais bon je suis peut-être victime d'un bug aussi :)

Je vais tester la compilation depuis les sources de la version officielle de FF pour voir si une version précédente est également obligatoire.

8. Le samedi, avril 29 2006, 16:00 par Asher256

Salut,

Merci pour toutes tes propositions. Ils seront pris en compte pour la prochaine version du fichier *.deb.

a+

9. Le samedi, avril 29 2006, 16:16 par Asher256

Peux-tu m'envoyer ton adresse email ou ton adresse jabber ?

Pour me contacter : asher256.tuxfamily.org/co...

Je voudrais t'envoyer le nouveau fichier *.deb de Firefox avant son ajout dans le dépôt.

10. Le dimanche, avril 30 2006, 13:12 par Farliec

Message envoyé, nouvelle version testée, tout est ok ! :)

11. Le vendredi, juillet 14 2006, 13:49 par aurelia

Bonjour!
Je fais un stage à l'AUF et là où je suis j'utilise Ubuntu que je ne sais pas pas comment l'utiliser.Je connais Linux mais seulement Red Hat .
Quelqu'un pourrait m'aider c'est tres imporant je élaborer mon mémoire dans 20 jours sur Samba sous Ubuntu.
Merci de m'aider.

12. Le vendredi, juillet 14 2006, 14:12 par Asher256

Salut Aurelia,

Tu as visité le wiki doc.ubuntu-fr.org ?

Il y a plein de docs pour te familiariser avec cette distribution...

Par exemple, en cherchant dans ce wiki, on peux trouver deux pages sur samba :
* Samba: doc.ubuntu-fr.org/applica...
* Samba avancé: doc.ubuntu-fr.org/applica...

a+

La discussion continue ailleurs

1. Le samedi, avril 22 2006, 11:50 par Montaigne weblogue

Mise à Jour de Firefox 1.5.0.2 pour Ubuntu !

Installation de Firefox 1.5.0.2 Asher256 a préparé un paquet qui facilite grandement l'installation de cette mise à jour pour les utilisateurs d'Ubuntu Breezy Badger. Vous pouvez le télécharger à l'adresse suivante...